Students - List
지정된 랩과 연결된 학생에 대한 세부 정보 목록을 가져옵니다.
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs/default/students?api-version=2021-12-01-preview
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs/default/students?includeDeleted={includeDeleted}&api-version=2021-12-01-preview
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
billing
|
path | True |
string |
청구 계정을 고유하게 식별하는 ID입니다. |
|
billing
|
path | True |
string |
청구 프로필을 고유하게 식별하는 ID입니다. |
|
invoice
|
path | True |
string |
청구서 섹션을 고유하게 식별하는 ID입니다. |
|
api-version
|
query | True |
string |
클라이언트 요청과 함께 사용할 API의 버전입니다. 현재 버전은 2021-12-01-preview입니다. |
|
include
|
query |
boolean |
삭제된 항목을 표시하는 데 사용할 수 있습니다. |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
학생 세부 정보입니다. |
|
| Other Status Codes |
작업에 성공하지 못한 경우 오류를 설명합니다. |
보안
azure_auth
Azure Active Directory OAuth2 흐름.
형식:
oauth2
Flow:
implicit
권한 부여 URL:
https://login.microsoftonline.com/common/oauth2/authorize
범위
| Name | Description |
|---|---|
| user_impersonation | 사용자 계정 가장 |
예제
StudentList
샘플 요청
GET https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs/default/students?api-version=2021-12-01-preview
샘플 응답
{
"value": [
{
"id": "/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/billingProfiles/{billingProfileName}/invoiceSections/{invoiceSectionName}/providers/Microsoft.Education/labs/default/students/{studentAlias}",
"name": "{studentAlias}",
"type": "Microsoft.Education/Students",
"properties": {
"firstName": "test",
"lastName": "user",
"email": "test@contoso.com",
"role": "Student",
"budget": {
"currency": "USD",
"value": 100
},
"subscriptionId": "000000000-0000-0000-0000-00000000000000",
"expirationDate": "2022-11-09T21:43:54.161Z",
"status": "Active",
"effectiveDate": "2021-11-09T21:43:54.161Z",
"subscriptionAlias": "000000000-0000-0000-0000-00000000000000",
"subscriptionInviteLastSentDate": "2021-11-09T21:43:54.161Z"
}
}
]
}
정의
| Name | Description |
|---|---|
| Amount |
금액입니다. |
|
created |
리소스를 만든 ID의 형식입니다. |
|
Error |
오류 응답의 형식을 설명합니다. |
|
Error |
오류 응답은 서비스에서 들어오는 요청을 처리할 수 없음을 나타냅니다. 그 이유는 오류 메시지에 제공됩니다. |
| Student Lab Status |
학생 랩 상태 |
| Student role |
학생 역할 |
|
Student |
학생 세부 정보입니다. |
|
Student |
학생 목록입니다. |
|
system |
리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다. |
Amount
금액입니다.
| Name | 형식 | Description |
|---|---|---|
| currency |
string |
값에 사용되는 통화의 형식입니다. |
| value |
number |
금액 값입니다. |
createdByType
리소스를 만든 ID의 형식입니다.
| 값 | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
ErrorResponse
오류 응답의 형식을 설명합니다.
| Name | 형식 | Description |
|---|---|---|
| code |
string |
오류 코드 |
| message |
string |
작업이 실패한 이유를 나타내는 오류 메시지입니다. |
ErrorResponseBody
오류 응답은 서비스에서 들어오는 요청을 처리할 수 없음을 나타냅니다. 그 이유는 오류 메시지에 제공됩니다.
| Name | 형식 | Description |
|---|---|---|
| error |
오류의 세부 정보입니다. |
Student Lab Status
학생 랩 상태
| 값 | Description |
|---|---|
| Active | |
| Disabled | |
| Expired | |
| Pending | |
| Deleted |
Student role
학생 역할
| 값 | Description |
|---|---|
| Student | |
| Admin |
StudentDetails
학생 세부 정보입니다.
| Name | 형식 | Description |
|---|---|---|
| id |
string |
리소스에 대한 정규화된 리소스 ID입니다. 예 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| name |
string |
리소스의 이름 |
| properties.budget |
학생 예산 |
|
| properties.effectiveDate |
string (date-time) |
랩에 학생이 추가된 날짜 |
| properties.email |
string |
학생 전자 메일 |
| properties.expirationDate |
string (date-time) |
이 학생이 랩에서 만료되도록 설정된 날짜입니다. |
| properties.firstName |
string |
이름 (첫 번째) |
| properties.lastName |
string |
성 |
| properties.role |
학생 역할 |
|
| properties.status |
학생 랩 상태 |
|
| properties.subscriptionAlias |
string |
구독 별칭 |
| properties.subscriptionId |
string |
구독 ID |
| properties.subscriptionInviteLastSentDate |
string (date-time) |
구독 초대 마지막 보낸 날짜 |
| systemData |
createdBy 및 modifiedBy 정보가 포함된 Azure Resource Manager 메타데이터입니다. |
|
| type |
string |
리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts" |
StudentListResult
학생 목록입니다.
| Name | 형식 | Description |
|---|---|---|
| nextLink |
string |
결과의 다음 페이지에 대한 링크(URL)입니다. |
| value |
학생 목록입니다. |
systemData
리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.
| Name | 형식 | Description |
|---|---|---|
| createdAt |
string (date-time) |
리소스 만들기의 타임스탬프(UTC)입니다. |
| createdBy |
string |
리소스를 만든 ID입니다. |
| createdByType |
리소스를 만든 ID의 형식입니다. |
|
| lastModifiedAt |
string (date-time) |
리소스 마지막 수정의 타임스탬프(UTC) |
| lastModifiedBy |
string |
리소스를 마지막으로 수정한 ID입니다. |
| lastModifiedByType |
리소스를 마지막으로 수정한 ID의 형식입니다. |